Package org.apache.tools.ant.taskdefs.optional.clearcase

# Class CCMkdir

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
org.apache.tools.ant.taskdefs.optional.clearcase.CCMkdir

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class CCMkdir
    extends ClearCase

Performs ClearCase mkdir.

The following attributes are interpreted:

Task attributes
Attribute | Values | Required
--- | --- | ---
viewpath | Path to the ClearCase view directory that the command will operate on | Yes
comment | Specify a comment. Only one of comment or cfile may be used. | No
commentfile | Specify a file containing a comment. Only one of comment or cfile may be used. | No
nocheckout | Do not checkout after element creation | No
failonerr | Throw an exception if the command fails. Default is true | No

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static java.lang.String` | `FLAG_COMMENT` | -c flag -- comment to attach to the directory
`static java.lang.String` | `FLAG_COMMENTFILE` | -cfile flag -- file containing a comment to attach to the directory
`static java.lang.String` | `FLAG_NOCHECKOUT` | -nco flag -- do not checkout element after creation
`static java.lang.String` | `FLAG_NOCOMMENT` | -nc flag -- no comment is specified

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

`COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_LOCK, COMMAND_LSCO, COMMAND_MKATTR, COMMAND_MKBL, COMMAND_MKDIR, COMMAND_MKELEM, COMMAND_MKLABEL, COMMAND_MKLBTYPE, COMMAND_RMTYPE, COMMAND_UNCHECKOUT, COMMAND_UNLOCK, COMMAND_UPDATE`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CCMkdir()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `execute()` | Executes the task.
`java.lang.String` | `getComment()` | Get comment string
`java.lang.String` | `getCommentFile()` | Get comment file
`boolean` | `getNoCheckout()` | Get no checkout flag status
`void` | `setComment​(java.lang.String comment)` | Sets the comment string.
`void` | `setCommentFile​(java.lang.String cfile)` | Specifies a file containing a comment.
`void` | `setNoCheckout​(boolean co)` | If true, do not checkout element after creation.

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

`getClearToolCommand, getFailOnErr, getObjSelect, getViewPath, getViewPathBasename, run, runS, runS, setClearToolDir, setFailOnErr, setObjSelect, setViewPath`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FLAG_COMMENT

public static final java.lang.String FLAG_COMMENT
-c flag -- comment to attach to the directory

See Also:
  Constant Field Values

### FLAG_COMMENTFILE

public static final java.lang.String FLAG_COMMENTFILE
-cfile flag -- file containing a comment to attach to the directory

See Also:
  Constant Field Values

### FLAG_NOCOMMENT

public static final java.lang.String FLAG_NOCOMMENT
-nc flag -- no comment is specified

See Also:
  Constant Field Values

### FLAG_NOCHECKOUT

public static final java.lang.String FLAG_NOCHECKOUT
-nco flag -- do not checkout element after creation

See Also:
  Constant Field Values

## Constructor Details

### CCMkdir

public CCMkdir()

## Method Details

### execute

public void execute() throws BuildException
Executes the task.

Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

Overrides:
  `execute` in class `Task`
Throws:
  `BuildException` - if the command fails and failonerr is set to true

### setComment

public void setComment​(java.lang.String comment)
Sets the comment string.

Parameters:
  `comment` - the comment string

### getComment

public java.lang.String getComment()
Get comment string

Returns:
  String containing the comment

### setCommentFile

public void setCommentFile​(java.lang.String cfile)
Specifies a file containing a comment.

Parameters:
  `cfile` - the path to the comment file

### getCommentFile

public java.lang.String getCommentFile()
Get comment file

Returns:
  String containing the path to the comment file

### setNoCheckout

public void setNoCheckout​(boolean co)
If true, do not checkout element after creation.

Parameters:
  `co` - the status to set the flag to

### getNoCheckout

public boolean getNoCheckout()
Get no checkout flag status

Returns:
  boolean containing status of noco flag